Package org.apache.torque.map

## Class OptionSupport

- java.lang.Object
- - org.apache.torque.map.OptionSupport

- All Implemented Interfaces:
    `Serializable`
  Direct Known Subclasses:
    `ColumnMap`, `DatabaseMap`, `TableMap`

      public abstract class OptionSupport
      extends Object
      implements Serializable

  OptionSupport provides the basic methods for the management of options within the database schema model.
  Version:
    $Id: ColumnMap.java 1484252 2013-05-19 09:58:00Z tfischer $
  Author:
    Thomas Vandahl
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `OptionSupport()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `clearOptions()` | Clears all options.
    `String` | `getOption​(String key)` | Returns the value of an option.
    `Map<String,​String>` | `getOptions()` | Returns an unmodifiable map of all options.
    `void` | `setOption​(String key, String value)` | Sets an option.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OptionSupport

          public OptionSupport()

  - ### Method Detail

    - #### getOptions

          public Map<String,​String> getOptions()

      Returns an unmodifiable map of all options.
      Returns:
        A map containing all options, not null.

    - #### setOption

          public void setOption​(String key,
                                String value)

      Sets an option.
      Parameters:
        `key` - the key of the option
        `value` - the value of the option.

    - #### getOption

          public String getOption​(String key)

      Returns the value of an option.
      Parameters:
        `key` - the key of the option.
      Returns:
        the value of the option, or null if not set.

    - #### clearOptions

          public void clearOptions()

      Clears all options.